## qwt 6.3.0

=== debian/changelog ===
qwt (6.3.0-2) experimental; urgency=medium

  * libqwt-qt6-6.3: skip major version symlink (Closes: #1106674)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 21 Aug 2025 18:59:55 -0400

qwt (6.3.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set debhelper-compat version in Build-Depends.

  [ Gudjon I. Gudjonsson ]
  * Replace libqt6svg6-dev with qt6-svg-dev, package is renamed

  [ A. Maitland Bottoms ]
  * New upstream release.
  * Update watch file (Closes: #1095127)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 23 Mar 2025 22:24:11 -0400
