=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/default.mk

QMAKE_FLAGS = QMAKE_CXXFLAGS+="$(CXXFLAGS) $(CPPFLAGS)" QMAKE_LFLAGS+="$(LDFLAGS)" QMAKE_STRIP=

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

# Make the package buildable with only Qt5 available
qt6 := "no"
ifeq ($(shell dpkg-query -s qt6-svg-dev |grep -o Package), Package)
	qt6 := "yes"
endif

#export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,-fortify
#export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)   $(shell dpkg-buildflags --get CPPFLAGS)
#export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
#export CPPFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
#export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
#export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper


override_dh_auto_configure:
ifeq ($(qt6), "yes")
	cp -a src src-Qt6
	cd src-Qt6 && /usr/bin/qmake6 DESTDIR=../src-qt6 $(QMAKE_FLAGS)
	cp -r designer designer-Qt6
	cd designer-Qt6 && /usr/bin/qmake6 INCLUDEPATH+=../src DESTDIR=../designer-Qt6 $(QMAKE_FLAGS)
endif
	qmake -qt=5

override_dh_auto_build:
	dh_testdir
	$(MAKE)
ifeq ($(qt6), "yes")
	cd src-Qt6 && $(MAKE)
	cd designer-Qt6 && $(MAKE)
endif

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr -type f -name '*.md5' -exec rm -vf {} \;
	find debian/tmp/usr -type f -name '*.js' -exec rm -vf {} \;
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig
	mv $(CURDIR)/debian/tmp/usr/lib/pkgconfig/Qt5Qwt6.pc \
	  $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
	mv $(CURDIR)/debian/tmp/usr/lib/libqwt-qt5.so* \
	  $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/
	rm -f $(CURDIR)/debian/tmp/usr/lib/libsrc*
ifeq ($(qt6), "yes")
	cd src-Qt6 && $(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp/
	cd designer-Qt6 && $(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp/
	mv $(CURDIR)/debian/tmp/usr/lib/pkgconfig/Qt6Qwt6.pc \
	  $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/
	mv $(CURDIR)/debian/tmp/usr/lib/libqwt-qt6.so* \
	  $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qt6/mkspecs/features
	cp qwtconfig.pri $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qt6/mkspecs/features
	cp qwtfunctions.pri $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qt6/mkspecs/features
	cp qwt.prf $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qt6/mkspecs/features
	# Fix Bug#1106674
	rm -rf $(CURDIR)/debian/tmp/usr/lib/*/libqwt-qt6.so.6
endif

#override_dh_installchangelogs:
#	dh_installchangelogs CHANGES-6.2

override_dh_installdocs:
	dh_installdocs README

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

override_dh_compress:
	dh_compress --exclude=.cpp --exclude=.pri --exclude=.xpm

#override_dh_installman:
#	dh_installman -X"_tmp_qwt"
