=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/" \
https://sf.net/qwt/ qwt-@ANY_VERSION@@ARCHIVE_EXT@ \
debian uupdate
